# FairMQ: fair::mq::sdk::DDSAgent Class Reference

fair::mq::sdk::DDSAgent Class Reference

Represents a DDS agent. More...

`#include <>>`

## Public Types

using | Id = uint64_t
using | Pid = uint32_t

## Public Member Functions

| DDSAgent (DDSSession session, Id id, Pid pid, std::string path, std::string host, std::chrono::milliseconds startupTime, std::string username)
DDSSession | GetSession () const
Id | GetId () const
Pid | GetPid () const
std::string | GetHost () const
std::string | GetDDSPath () const
std::chrono::milliseconds | GetStartupTime () const
std::string | GetUsername () const

## Friends

auto | operator<< (std::ostream &os, const DDSAgent &agent) -> std::ostream &

## Detailed Description

Represents a DDS agent.

The documentation for this class was generated from the following file:

- fairmq/sdk/DDSAgent.h

privacy